<?php
/**
* GeoIP library wrapper
*/
require_once 'AsdPumka/GeoIp/Query.php';

class AsdPumka_GeoIp
{
    public function recognizeCountryCode($address=NULL)
    {
        if (is_null($address)) {
            $address = $_SERVER['REMOTE_ADDR'];
        }

        $data = AsdPumka_GeoIp_Query::LookupIP($address);

        return isset($data['cc'])? $data['cc'] : NULL;
    }
}