<?php
require_once ASD_APPLICATION_PATH . '/services/View/Helper/AbstractHelper.php';

class Asd_Service_View_Helper_SplitFieldLabel
    extends Asd_Service_View_Helper_AbstractHelper
{
    protected $_fieldPlaceholder = '[X]';

    public function __invoke($label, $after=FALSE)
    {
        $pos = strpos($label, $this->_fieldPlaceholder);
        if (FALSE === $pos) {
            throw new Exception('Field placeholder not found');
        }

        $result = $after
            ? substr($label, $pos + strlen($this->_fieldPlaceholder))
            : substr($label, 0, $pos);

        return trim($result);
    }
}